Compatibilité de LabVIEW et du moteur d'exécution LabVIEW

Aperçu

Cette page affiche les versions du moteur d'exécution LabVIEW supportées par les systèmes de développement LabVIEW. Reportez-vous à ces informations afin de vous assurer que vous installez le bon toolkit lors de la mise à niveau ou de la mise à jour de votre système ou logiciel. L'utilisation de versions incompatibles peut entraîner des erreurs et des palettes ou fonctions LabVIEW peuvent manquer.

Veuillez noter que cet article remplace l'article 3P88SPNQ de la Base de connaissances : Compatibilité des moteurs d'exécution LabVIEW. Certains manuels NI peuvent encore faire référence à ce document. Si vous avez été redirigé à partir de l'URL précédent de la Base de connaissances, veuillez mettre à jour vos favoris.

Compatibilité de LabVIEW et du moteur d'exécution LabVIEW

 Utilisez ce tableau pour comparer la compatibilité de LabVIEW et du moteur d'exécution LabVIEW

LabVIEW

Version

Versions des moteurs d'exécution LabVIEW

LabVIEW 2012

LabVIEW 2012 SP1

LabVIEW 2013

LabVIEW 2013 SP1

LabVIEW 2014

LabVIEW 2014 SP1

LabVIEW 2015

LabVIEW 2015 SP1

LabVIEW 2016

LabVIEW 2017

LabVIEW 2017 SP1

LabVIEW 2018

LabVIEW 2018 SP1

LabVIEW 2019

LabVIEW 2012

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2013

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2013 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2014

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2014 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2015

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2015 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2016

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2017

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2017 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2018

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2018 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2019

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

Compatible

 

Compatible si l'application est conçue pour supporter les moteurs d'exécution ultérieurs*

*À partir de 2017, vous pouvez intégrer la compatibilité avec les moteurs d'exécution LabVIEW ultérieurs dans vos applications. Voir la section LabVIEW 2017 Features and Changes pour des détails supplémentaires.


Le moteur d'exécution LabVIEW doit être installé sur tout système sur lequel vous comptez exécuter des applications EXE ou des bibliothèques partagées construites avec LabVIEW Application Builder.

Veuillez noter que les fichiers EXE construits dans LabVIEW 2016 ou versions antérieures ne peuvent pas être exécutés dans une version plus récente du moteur d'exécution LabVIEW. Utilisez la même version du moteur d'exécution LabVIEW pour exécuter le fichier EXE que la version de LabVIEW que vous avez utilisée pour le générer.

Plusieurs versions du moteur d'exécution LabVIEW peuvent être installées sur le même ordinateur du moment que le numéro de version majeure ou que la largeur de bits est différente. Sur un système 64 bits, il est possible d'installer les formats 32 bits et 64 bits du moteur d'exécution LabVIEW de la même version, côte à côte. Si vous installez une version SP1 du moteur d'exécution LabVIEW sur un système sur lequel la version non-SP1 est déjà installée, la version SP1 remplace la version non-SP1.


Plug-in de navigateur Web du moteur d'exécution LabVIEW

Le plug-in de navigateur Web du moteur d'exécution LabVIEW (anciennement le moteur d'exécution LabVIEW Minimum) est un plus petit téléchargement destiné à la visualisation de VIs intégrés dans une page web (interfaces distantes). Il ne contient pas le moteur d'exécution complet et n'est pas recommandé pour l'exécution des exécutables. Il est disponible aux formats 32 bits et 64 bits. La largeur de bits du Plug-in pour navigateur Web doit correspondre à celle du navigateur web utilisé. Le moteur d'exécution LabVIEW standard comprend le plug-in de navigateur Web.